#configuration
CONFIG +=  shared qpa release qt_no_framework
host_build {
    QT_ARCH = x86_64
    QT_TARGET_ARCH = x86_64
} else {
    QT_ARCH = x86_64
}
QT_CONFIG +=  minimal-config small-config medium-config large-config full-config evdev xlib xrender linuxfb c++11 shared qpa reduce_exports reduce_relocations clock-gettime clock-monotonic posix_fallocate mremap getaddrinfo ipv6ifname getifaddrs inotify eventfd threadsafe-cloexec poll_poll no-jpeg no-png no-gif doubleconversion system-freetype harfbuzz no-gui no-widgets system-zlib dbus dbus-linked xinput2 alsa concurrent audio-backend no-qml-debug release

#versioning
QT_VERSION = 5.7.1
QT_MAJOR_VERSION = 5
QT_MINOR_VERSION = 7
QT_PATCH_VERSION = 1

#namespaces
QT_LIBINFIX = 
QT_NAMESPACE = 

QT_EDITION = OpenSource

# pkgconfig
PKG_CONFIG_SYSROOT_DIR = 
PKG_CONFIG_LIBDIR = FIXMESTAGINGDIR/x86_64-linux/usr/lib/pkgconfig

QT_COMPILER_STDCXX = 199711
QT_GCC_MAJOR_VERSION = 4
QT_GCC_MINOR_VERSION = 8
QT_GCC_PATCH_VERSION = 5
